import { genMessage } from '../helper';
import antdLocale from 'ant-design-vue/es/locale/zh_CN';
import momentLocale from 'moment/dist/locale/zh-cn';
import jsonZh from './json/zh-CN.json';

const modules = import.meta.globEager('./zh-CN/**/*.ts');
console.log('modules', genMessage(modules, 'zh-CN'));
export default {
  message: {
    ...genMessage(modules, 'zh-CN'),
    ...jsonZh,
    antdLocale,
  },
  momentLocale,
  momentLocaleName: 'zh-cn',
};
